
# finger data interpretation and ploting
import numpy as np
import matplotlib.pyplot as plt
import scipy.interpolate as sp
from sklearn import datasets, linear_model

#data = np.load("ExperimentDataSensorsFinger_Filmed.npy")
All_emg = np.loadtxt('EMG.out')
BendingAvgAll = np.loadtxt('Bending.out')

pre_ext_filt = np.loadtxt('pressure_extention.out')
pre_flex_filt = np.loadtxt('pressure_flexion.out')

plt.figure(1)

plt.suptitle('no Actuation 3kg test 4')

plt.subplot(311)
plt.plot( All_emg[0:len(All_emg)], 'b')
plt.ylabel('Millivolt [mV]')
plt.title("Rectified EMG")
plt.ylim([0, 3500])

plt.subplot(312)
plt.plot( BendingAvgAll[0:len(BendingAvgAll)], 'b')
plt.ylabel('Sensor reading')
plt.title("Banding Sensor Voltage")
plt.ylim([220, 300])

plt.subplot(313)
plt.plot( range(len(pre_ext_filt)), pre_ext_filt, 'b--',label='Extension')
plt.plot(range(len(pre_flex_filt)), pre_flex_filt, 'b',label='Flexion')
plt.ylabel('Sensor reading')
plt.title("Air pressure")
plt.ylim([0,150])
legend = plt.legend(loc='upper right')


plt.show()
